Skip to main content
GET
/
stripe
/
configuration
Get Stripe Configuration
curl --request GET \
  --url https://api.sandbox.isometric.com/registry/v0/stripe/configuration \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/registry/v0/stripe/configuration"

headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/registry/v0/stripe/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "account_id": "<string>",
  "credit_product_price_per_tonne": "<string>",
  "currency": "<string>",
  "id": "ssc_1EFF4PWKE1S0TF1S",
  "isometric_terms_and_conditions_url": "<string>",
  "verification_product_price_per_tonne": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Response

Successful Response

account_id
string
required

Stripe account ID of the supplier's connected account

credit_product_price_per_tonne
string | null
required

Price per tonne for carbon dioxide removal; set by the supplier. See currency field for the currency.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string | null
required

Currency used for this account (ISO 4217 code)

id
string
required
Required string length: 20 - 37
Examples:

"ssc_1EFF4PWKE1S0TF1S"

"ssc_1FH1888QSSBXWB18"

isometric_terms_and_conditions_url
string
required

URL to the Isometric terms and conditions

verification_product_price_per_tonne
string | null
required

Price per tonne for verification; set by Isometric. See currency field for the currency.

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$